/**
*	File: modals.js
*	Description: This file is created for the sole purpose of closing the 
*	modal window when using the close button on the modal itself.
*	Author: Wellcom Worldwide
*	Version: 1.0-alpha
*
*/

// Event listener: Click Close button on Modal
$('body').on('click', '.__mst_modal_close', function(ev) {

	// Prevent the default actions from occurring
	ev.preventDefault();

	// Initialize the current context item
	var el = $(this);

	// Slowly fade out the outer overlay layer.
	el.parents('.__mst_overlay').fadeOut();

	// Remove the active class on the current modal 
	el.parents('.__mst_overlay .__mst_modal').removeClass('active');
	$('body').removeClass('no-scroll');

});


// Event Listener: Click on the overlay panel 
$('body').on('dblclick', 'div.__mst_overlay', function(ev) {

	// PRevent the default actions from occurring
	ev.preventDefault();

	// Inititalize the variables
	var el = $(this);


	// Fade-out the overlay layer
	el.fadeOut();

	// Remove the active class on the current modal 
	el.find('.__mst_modal').removeClass('active');
	$('body').removeClass('no-scroll');


}); 